<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SynchronizerSupport (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SynchronizerSupport (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SynchronizerSupport.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/sync/SynchronizerSupport.html" target="_top">Frames</a></li>
<li><a href="SynchronizerSupport.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.sync</div>
<h2 title="Interface SynchronizerSupport" class="title">Interface SynchronizerSupport</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>, <a href="../../../../../org/apache/commons/configuration2/FileBasedConfiguration.html" title="interface in org.apache.commons.configuration2">FileBasedConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;T&gt;</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">AbstractHierarchicalConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/AbstractYAMLBasedConfiguration.html" title="class in org.apache.commons.configuration2">AbstractYAMLBasedConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/web/AppletConfiguration.html" title="class in org.apache.commons.configuration2.web">AppletConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/BaseConfiguration.html" title="class in org.apache.commons.configuration2">BaseConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/BaseHierarchicalConfiguration.html" title="class in org.apache.commons.configuration2">BaseHierarchicalConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/CompositeConfiguration.html" title="class in org.apache.commons.configuration2">CompositeConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/DatabaseConfiguration.html" title="class in org.apache.commons.configuration2">DatabaseConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/DataConfiguration.html" title="class in org.apache.commons.configuration2">DataConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html" title="class in org.apache.commons.configuration2">DynamicCombinedConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/EnvironmentConfiguration.html" title="class in org.apache.commons.configuration2">EnvironmentConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/INIConfiguration.html" title="class in org.apache.commons.configuration2">INIConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/JNDIConfiguration.html" title="class in org.apache.commons.configuration2">JNDIConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/JSONConfiguration.html" title="class in org.apache.commons.configuration2">JSONConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/MapConfiguration.html" title="class in org.apache.commons.configuration2">MapConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html" title="class in org.apache.commons.configuration2">PatternSubtreeConfigurationWrapper</a>, <a href="../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2">PropertiesConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/plist/PropertyListConfiguration.html" title="class in org.apache.commons.configuration2.plist">PropertyListConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/web/ServletConfiguration.html" title="class in org.apache.commons.configuration2.web">ServletConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/web/ServletContextConfiguration.html" title="class in org.apache.commons.configuration2.web">ServletContextConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/web/ServletFilterConfiguration.html" title="class in org.apache.commons.configuration2.web">ServletFilterConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/web/ServletRequestConfiguration.html" title="class in org.apache.commons.configuration2.web">ServletRequestConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/SubnodeConfiguration.html" title="class in org.apache.commons.configuration2">SubnodeConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/SubsetConfiguration.html" title="class in org.apache.commons.configuration2">SubsetConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/SystemConfiguration.html" title="class in org.apache.commons.configuration2">SystemConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/XMLConfiguration.html" title="class in org.apache.commons.configuration2">XMLConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/XMLPropertiesConfiguration.html" title="class in org.apache.commons.configuration2">XMLPropertiesConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/plist/XMLPropertyListConfiguration.html" title="class in org.apache.commons.configuration2.plist">XMLPropertyListConfiguration</a>, <a href="../../../../../org/apache/commons/configuration2/YAMLConfiguration.html" title="class in org.apache.commons.configuration2">YAMLConfiguration</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">SynchronizerSupport</span></pre>
<div class="block"><p>
 Definition of an interface for objects that can be associated with a
 <a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync"><code>Synchronizer</code></a>.
 </p>
 <p>
 This interface defines methods for querying and setting the
 <code>Synchronizer</code>. In addition, it is possible to lock the object for a
 certain operation. This is useful if some complex operations are to be
 performed on the <code>SynchronizerSupport</code> object in an atomic way.
 </p>
 <p>
 Note that the actual effect of these methods depends on the concrete
 <code>Synchronizer</code> implementation in use! If only a dummy
 <code>Synchronizer</code> is involved (which is appropriate if objects are only
 accessed by a single thread), locking an object does not really prohibit
 concurrent access.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: SynchronizerSupport.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync">Synchronizer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#getSynchronizer--">getSynchronizer</a></span>()</code>
<div class="block">Returns the <code>Synchronizer</code> used by this object.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#lock-org.apache.commons.configuration2.sync.LockMode-">lock</a></span>(<a href="../../../../../org/apache/commons/configuration2/sync/LockMode.html" title="enum in org.apache.commons.configuration2.sync">LockMode</a>&nbsp;mode)</code>
<div class="block">Locks this object for the specified mode.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a></span>(<a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync">Synchronizer</a>&nbsp;sync)</code>
<div class="block">Sets the <code>Synchronizer</code> to be used by this object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#unlock-org.apache.commons.configuration2.sync.LockMode-">unlock</a></span>(<a href="../../../../../org/apache/commons/configuration2/sync/LockMode.html" title="enum in org.apache.commons.configuration2.sync">LockMode</a>&nbsp;mode)</code>
<div class="block">Releases a lock of this object that was obtained using the
 <a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#lock-org.apache.commons.configuration2.sync.LockMode-"><code>lock(LockMode)</code></a> method.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSynchronizer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSynchronizer</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync">Synchronizer</a>&nbsp;getSynchronizer()</pre>
<div class="block">Returns the <code>Synchronizer</code> used by this object. An implementation
 must not return <b>null</b>. If no <code>Synchronizer</code> has been set so
 far, a meaningful default <code>Synchronizer</code> has to be returned.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>Synchronizer</code> used by this object</dd>
</dl>
</li>
</ul>
<a name="setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSynchronizer</h4>
<pre>void&nbsp;setSynchronizer(<a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync">Synchronizer</a>&nbsp;sync)</pre>
<div class="block">Sets the <code>Synchronizer</code> to be used by this object. Calling this
 method and setting an appropriate <code>Synchronizer</code> determines whether
 this object can be accessed in a thread-safe way or not. The argument may
 be <b>null</b>; in this case an implementation should switch to a default
 <code>Synchronizer</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>sync</code> - the <code>Synchronizer</code> for this object</dd>
</dl>
</li>
</ul>
<a name="lock-org.apache.commons.configuration2.sync.LockMode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lock</h4>
<pre>void&nbsp;lock(<a href="../../../../../org/apache/commons/configuration2/sync/LockMode.html" title="enum in org.apache.commons.configuration2.sync">LockMode</a>&nbsp;mode)</pre>
<div class="block">Locks this object for the specified mode. This call may block until this
 object is released from other lock operations. When it returns the caller
 can access the object in a way compatible to the specified
 <code>LockMode</code>. When done the <code>unlock()</code> must be called with the
 same <code>LockMode</code> argument. In practice, a <b>try</b>-<b>finally</b>
 construct should be used as in the following example:

 <pre>
 SynchronizerSupport syncSupport = ...;
 syncSupport.lock(LockMode.READ);
 try
 {
     // read access to syncSupport
 }
 finally
 {
     syncSupport.unlock(LockMode.READ);
 }
 </pre>

 <em>Note:</em> Always use this method for obtaining a lock rather than
 accessing the object's <a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync"><code>Synchronizer</code></a> directly. An implementation
 may perform additional actions which are not executed when only
 interacting with the <code>Synchronizer</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mode</code> - the <code>LockMode</code></dd>
</dl>
</li>
</ul>
<a name="unlock-org.apache.commons.configuration2.sync.LockMode-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>unlock</h4>
<pre>void&nbsp;unlock(<a href="../../../../../org/apache/commons/configuration2/sync/LockMode.html" title="enum in org.apache.commons.configuration2.sync">LockMode</a>&nbsp;mode)</pre>
<div class="block">Releases a lock of this object that was obtained using the
 <a href="../../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html#lock-org.apache.commons.configuration2.sync.LockMode-"><code>lock(LockMode)</code></a> method. This method must always be called
 pair-wise with <code>lock()</code>. The argument must match to the one passed
 to the corresponding <code>lock()</code> call; otherwise, the behavior of the
 <a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync"><code>Synchronizer</code></a> is unspecified.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mode</code> - the <code>LockMode</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SynchronizerSupport.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/sync/Synchronizer.html" title="interface in org.apache.commons.configuration2.sync"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/sync/SynchronizerSupport.html" target="_top">Frames</a></li>
<li><a href="SynchronizerSupport.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
